Subject: bug#35816: 26.2; set-frame-font cannot set some fonts which autocomplete suggests due to dashes in names. I.e. gnu-unifont

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Aug 2021 16:06:12 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 12 Aug 2021 14:53:30 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> This bug was only about XLFD fonts, though.
> >
> > AFAIR, we eventually convert all the other forms into XLFD format.
> 
> Oh, we do?  I didn't know that.  Well, then there might be problems.
> But...  why?  I thought everything got parsed into font-spec structures.

Maybe you are right, I won't trust my memory too much on this.

> >   The format of the font string specification varies based on the font
> >   system in use, but it can commonly be an X Logical Font
> >   Description (XLFD) string, or a simpler string like "Courier-10"
> >   or "courier:size=10".
> 
> Right.  
> 
> (font-spec :name "Courier-10")
> => #<font-spec nil nil Courier nil nil nil nil nil 10.0 nil nil nil ((:name . "Courier-10"))>
> 
> (font-spec :name "Courier-Foo-10")
> => #<font-spec nil nil Courier-Foo nil nil nil nil nil 10.0 nil nil nil ((:name . "Courier-Foo-10"))>
> 
> Both before and after the changes.

Great, thanks.